<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="_e_u_l_a" kind="file" language="C++">
    <compoundname>EULA</compoundname>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline><highlight class="normal">CYPRESS<sp />END<sp />USER<sp />LICENSE<sp />AGREEMENT</highlight></codeline>
<codeline />
<codeline><highlight class="normal">PLEASE<sp />READ<sp />THIS<sp />END<sp />USER<sp />LICENSE<sp />AGREEMENT<sp />("Agreement")<sp />CAREFULLY<sp />BEFORE<sp />DOWNLOADING,<sp />INSTALLING,<sp />COPYING,<sp />OR<sp />USING<sp />THIS<sp />SOFTWARE<sp />AND<sp />ACCOMPANYING<sp />DOCUMENTATION.<sp /><sp />BY<sp />DOWNLOADING,<sp />INSTALLING,<sp />COPYING<sp />OR<sp />USING<sp />THE<sp />SOFTWARE,<sp />YOU<sp />ARE<sp />AGREEING<sp />TO<sp />BE<sp />BOUND<sp />BY<sp />THIS<sp />AGREEMENT.<sp /><sp />IF<sp />YOU<sp />DO<sp />NOT<sp />AGREE<sp />TO<sp />ALL<sp />OF<sp />THE<sp />TERMS<sp />OF<sp />THIS<sp />AGREEMENT,<sp />PROMPTLY<sp />RETURN<sp />AND<sp />DO<sp />NOT<sp />USE<sp />THE<sp />SOFTWARE.<sp /><sp />IF<sp />YOU<sp />HAVE<sp />PURCHASED<sp />THIS<sp />LICENSE<sp />TO<sp />THE<sp />SOFTWARE,<sp />YOUR<sp />RIGHT<sp />TO<sp />RETURN<sp />THE<sp />SOFTWARE<sp />EXPIRES<sp />30<sp />DAYS<sp />AFTER<sp />YOUR<sp />PURCHASE<sp />AND<sp />APPLIES<sp />ONLY<sp />TO<sp />THE<sp />ORIGINAL<sp />PURCHASER.</highlight></codeline>
<codeline />
<codeline><highlight class="normal">1.<sp />Definitions.</highlight></codeline>
<codeline />
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp />"Software"<sp />means<sp />this<sp />software<sp />and<sp />any<sp />accompanying<sp />documentation,<sp />including<sp />any<sp />upgrades,<sp />updates,<sp />bug<sp />fixes<sp />or<sp />modified<sp />versions<sp />provided<sp />to<sp />you<sp />by<sp />Cypress.</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp />"Source<sp />Code"<sp />means<sp />software<sp />in<sp />human-readable<sp />form.</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp />"Binary<sp />Code"<sp />means<sp />the<sp />software<sp />in<sp />binary<sp />code<sp />form<sp />such<sp />as<sp />object<sp />code<sp />or<sp />an<sp />executable.</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp />"Development<sp />Tools"<sp />means<sp />software<sp />that<sp />is<sp />intended<sp />to<sp />be<sp />installed<sp />on<sp />a<sp />personal<sp />computer<sp />and<sp />used<sp />to<sp />create<sp />programming<sp />code<sp />for<sp />Firmware,<sp />Drivers,<sp />or<sp />Host<sp />Applications.<sp /><sp />Examples<sp />of<sp />Development<sp />Tools<sp />are<sp />Cypress's<sp />PSoC<sp />Creator<sp />software,<sp />Cypress's<sp />WICED<sp />SDKs,<sp />and<sp />Cypress's<sp />ModusToolbox<sp />software.</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp />"Firmware"<sp />means<sp />software<sp />that<sp />executes<sp />on<sp />a<sp />Cypress<sp />hardware<sp />product.</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp />"Driver"<sp />means<sp />software<sp />that<sp />enables<sp />the<sp />use<sp />of<sp />a<sp />Cypress<sp />hardware<sp />product<sp />on<sp />a<sp />particular<sp />host<sp />operating<sp />system<sp />such<sp />as<sp />GNU/Linux,<sp />Windows,<sp />MacOS,<sp />Android,<sp />and<sp />iOS.</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp />"Host<sp />Application"<sp />means<sp />software<sp />that<sp />executes<sp />on<sp />a<sp />device<sp />other<sp />than<sp />a<sp />Cypress<sp />hardware<sp />product<sp />in<sp />order<sp />to<sp />program,<sp />control,<sp />or<sp />communicate<sp />with<sp />a<sp />Cypress<sp />hardware<sp />product.</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp />"inf<sp />File"<sp />means<sp />a<sp />hardware<sp />setup<sp />information<sp />file<sp />(.inf<sp />file)<sp />created<sp />by<sp />the<sp />Software<sp />to<sp />allow<sp />a<sp />Microsoft<sp />Windows<sp />operating<sp />system<sp />to<sp />install<sp />the<sp />driver<sp />for<sp />a<sp />Cypress<sp />hardware<sp />product.</highlight></codeline>
<codeline />
<codeline><highlight class="normal">2.<sp />License.<sp /><sp />Subject<sp />to<sp />the<sp />terms<sp />and<sp />conditions<sp />of<sp />this<sp />Agreement,<sp />Cypress<sp />Semiconductor<sp />Corporation<sp />("Cypress")<sp />and<sp />its<sp />suppliers<sp />grant<sp />to<sp />you<sp />a<sp />non-exclusive,<sp />non-transferable<sp />license<sp />under<sp />their<sp />copyright<sp />rights:</highlight></codeline>
<codeline />
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp />a.<sp />to<sp />use<sp />the<sp />Development<sp />Tools<sp />in<sp />object<sp />code<sp />form<sp />solely<sp />for<sp />the<sp />purpose<sp />of<sp />creating<sp />Firmware,<sp />Drivers,<sp />Host<sp />Applications,<sp />and<sp />inf<sp />Files<sp />for<sp />Cypress<sp />hardware<sp />products;<sp />and</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp />b.<sp />(i)<sp />if<sp />provided<sp />in<sp />Source<sp />Code<sp />form,<sp />to<sp />copy,<sp />modify,<sp />and<sp />compile<sp />the<sp />Firmware<sp />Source<sp />Code<sp />to<sp />create<sp />Firmware<sp />for<sp />execution<sp />on<sp />a<sp />Cypress<sp />hardware<sp />product,<sp />and<sp />(ii)<sp />to<sp />distribute<sp />Firmware<sp />in<sp />binary<sp />code<sp />form<sp />only,<sp />only<sp />when<sp />installed<sp />onto<sp />a<sp />Cypress<sp />hardware<sp />product;<sp />and</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp />c.<sp />(i)<sp />if<sp />provided<sp />in<sp />Source<sp />Code<sp />form,<sp />to<sp />copy,<sp />modify,<sp />and<sp />compile<sp />the<sp />Driver<sp />Source<sp />Code<sp />to<sp />create<sp />one<sp />or<sp />more<sp />Drivers<sp />to<sp />enable<sp />the<sp />use<sp />of<sp />a<sp />Cypress<sp />hardware<sp />product<sp />on<sp />a<sp />particular<sp />host<sp />operating<sp />system,<sp />and<sp />(ii)<sp />to<sp />distribute<sp />the<sp />Driver,<sp />in<sp />binary<sp />code<sp />form<sp />only,<sp />only<sp />when<sp />installed<sp />on<sp />a<sp />device<sp />that<sp />includes<sp />the<sp />Cypress<sp />hardware<sp />product<sp />that<sp />the<sp />Driver<sp />is<sp />intended<sp />to<sp />enable;<sp />and</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp />d.<sp />(i)<sp />if<sp />provided<sp />in<sp />Source<sp />Code<sp />form,<sp />to<sp />copy,<sp />modify,<sp />and<sp />compile<sp />the<sp />Host<sp />Application<sp />Source<sp />Code<sp />to<sp />create<sp />one<sp />or<sp />more<sp />Host<sp />Applications<sp />to<sp />program,<sp />control,<sp />or<sp />communicate<sp />with<sp />a<sp />Cypress<sp />hardware<sp />product,<sp />and<sp />(ii)<sp />to<sp />distribute<sp />Host<sp />Applications,<sp />in<sp />binary<sp />code<sp />form<sp />only,<sp />only<sp />when<sp />installed<sp />on<sp />a<sp />device<sp />that<sp />includes<sp />a<sp />Cypress<sp />hardware<sp />product<sp />that<sp />the<sp />Host<sp />Application<sp />is<sp />intended<sp />to<sp />program,<sp />control,<sp />or<sp />communicate<sp />with;<sp />and</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp />e.<sp />to<sp />freely<sp />distribute<sp />any<sp />inf<sp />File.</highlight></codeline>
<codeline />
<codeline><highlight class="normal">Any<sp />distribution<sp />of<sp />Software<sp />permitted<sp />under<sp />this<sp />Agreement<sp />must<sp />be<sp />made<sp />pursuant<sp />to<sp />your<sp />standard<sp />end<sp />user<sp />license<sp />agreement<sp />used<sp />for<sp />your<sp />proprietary<sp />(closed<sp />source)<sp />software<sp />products,<sp />such<sp />end<sp />user<sp />license<sp />agreement<sp />to<sp />include,<sp />at<sp />a<sp />minimum,<sp />provisions<sp />limiting<sp />your<sp />licensors'<sp />liability<sp />and<sp />prohibiting<sp />reverse<sp />engineering<sp />of<sp />the<sp />Software,<sp />consistent<sp />with<sp />such<sp />provisions<sp />in<sp />this<sp />Agreement.</highlight></codeline>
<codeline />
<codeline><highlight class="normal">3.<sp />Free<sp />and<sp />Open<sp />Source<sp />Software.<sp /><sp />Portions<sp />of<sp />the<sp />Software<sp />may<sp />be<sp />licensed<sp />under<sp />free<sp />and/or<sp />open<sp />source<sp />licenses<sp />such<sp />as<sp />the<sp />GNU<sp />General<sp />Public<sp />License<sp />or<sp />other<sp />licenses<sp />from<sp />third<sp />parties<sp />("Third<sp />Party<sp />Software").<sp /><sp />Third<sp />Party<sp />Software<sp />is<sp />subject<sp />to<sp />the<sp />applicable<sp />license<sp />agreement<sp />and<sp />not<sp />this<sp />Agreement.<sp /><sp />If<sp />you<sp />are<sp />entitled<sp />to<sp />receive<sp />the<sp />source<sp />code<sp />from<sp />Cypress<sp />for<sp />any<sp />Third<sp />Party<sp />Software<sp />included<sp />with<sp />the<sp />Software,<sp />either<sp />the<sp />source<sp />code<sp />will<sp /><sp />be<sp />included<sp />with<sp />the<sp />Software<sp />or<sp />you<sp />may<sp />obtain<sp />the<sp />source<sp />code<sp />at<sp />no<sp />charge<sp />from<sp />&lt;http://www.cypress.com/go/opensource&gt;.<sp /><sp />The<sp />applicable<sp />license<sp />terms<sp />will<sp />accompany<sp />each<sp />source<sp />code<sp />package.<sp /><sp />To<sp />review<sp />the<sp />license<sp />terms<sp />applicable<sp />to<sp />any<sp />Third<sp />Party<sp />Software<sp />for<sp />which<sp />Cypress<sp />is<sp />not<sp />required<sp />to<sp />provide<sp />you<sp />with<sp />source<sp />code,<sp />please<sp />see<sp />the<sp />Software's<sp />installation<sp />directory<sp />on<sp />your<sp />computer.</highlight></codeline>
<codeline />
<codeline><highlight class="normal">4.<sp />Proprietary<sp />Rights;<sp />Ownership.<sp /><sp />The<sp />Software,<sp />including<sp />all<sp />intellectual<sp />property<sp />rights<sp />therein,<sp />is<sp />and<sp />will<sp />remain<sp />the<sp />sole<sp />and<sp />exclusive<sp />property<sp />of<sp />Cypress<sp />or<sp />its<sp />suppliers.<sp /><sp />Cypress<sp />retains<sp />ownership<sp />of<sp />the<sp />Source<sp />Code<sp />and<sp />any<sp />compiled<sp />version<sp />thereof.<sp /><sp />Subject<sp />to<sp />Cypress'<sp />ownership<sp />of<sp />the<sp />underlying<sp />Software<sp />(including<sp />Source<sp />Code),<sp />you<sp />retain<sp />ownership<sp />of<sp />any<sp />modifications<sp />you<sp />make<sp />to<sp />the<sp />Source<sp />Code.<sp /><sp />You<sp />agree<sp />not<sp />to<sp />remove<sp />any<sp />Cypress<sp />copyright<sp />or<sp />other<sp />notices<sp />from<sp />the<sp />Source<sp />Code<sp />and<sp />any<sp />modifications<sp />thereof.<sp /><sp />You<sp />agree<sp />to<sp />keep<sp />the<sp />Source<sp />Code<sp />confidential.<sp /><sp />Any<sp />reproduction,<sp />modification,<sp />translation,<sp />compilation,<sp />or<sp />representation<sp />of<sp />the<sp />Source<sp />Code<sp />except<sp />as<sp />permitted<sp />in<sp />Section<sp />2<sp />("License")<sp />is<sp />prohibited<sp />without<sp />the<sp />express<sp />written<sp />permission<sp />of<sp />Cypress.<sp /><sp />Except<sp />as<sp />otherwise<sp />expressly<sp />provided<sp />in<sp />this<sp />Agreement,<sp />you<sp />may<sp />not:<sp />(i)<sp />modify,<sp />adapt,<sp />or<sp />create<sp />derivative<sp />works<sp />based<sp />upon<sp />the<sp />Software;<sp />(ii)<sp />copy<sp />the<sp />Software;<sp />(iii)<sp />except<sp />and<sp />only<sp />to<sp />the<sp />extent<sp />explicitly<sp />permitted<sp />by<sp />applicable<sp />law<sp />despite<sp />this<sp />limitation,<sp />decompile,<sp />translate,<sp />reverse<sp />engineer,<sp />disassemble<sp />or<sp />otherwise<sp />reduce<sp />the<sp />Software<sp />to<sp />human-readable<sp />form;<sp />or<sp />(iv)<sp />use<sp />the<sp />Software<sp />or<sp />any<sp />sample<sp />code<sp />other<sp />than<sp />for<sp />the<sp />Purpose.<sp /><sp />You<sp />hereby<sp />covenant<sp />that<sp />you<sp />will<sp />not<sp />assert<sp />any<sp />claim<sp />that<sp />the<sp />Software,<sp />or<sp />derivative<sp />works<sp />thereof<sp />created<sp />by<sp />or<sp />for<sp />Cypress,<sp />infringe<sp />any<sp />intellectual<sp />property<sp />right<sp />owned<sp />or<sp />controlled<sp />by<sp />you</highlight></codeline>
<codeline />
<codeline><highlight class="normal">5.<sp />No<sp />Support.<sp /><sp />Cypress<sp />may,<sp />but<sp />is<sp />not<sp />required<sp />to,<sp />provide<sp />technical<sp />support<sp />for<sp />the<sp />Software.</highlight></codeline>
<codeline />
<codeline><highlight class="normal">6.<sp />Term<sp />and<sp />Termination.<sp /><sp />This<sp />Agreement<sp />is<sp />effective<sp />until<sp />terminated,<sp />and<sp />either<sp />party<sp />may<sp />terminate<sp />this<sp />Agreement<sp />at<sp />any<sp />time<sp />with<sp />or<sp />without<sp />cause.<sp /><sp />This<sp />Agreement<sp />and<sp />your<sp />license<sp />rights<sp />under<sp />this<sp />Agreement<sp />will<sp />terminate<sp />immediately<sp />without<sp />notice<sp />from<sp />Cypress<sp />if<sp />you<sp />fail<sp />to<sp />comply<sp />with<sp />any<sp />provision<sp />of<sp />this<sp />Agreement.<sp /><sp />Upon<sp />termination,<sp />you<sp />must<sp />destroy<sp />all<sp />copies<sp />of<sp />Software<sp />in<sp />your<sp />possession<sp />or<sp />control.<sp /><sp />The<sp />following<sp />paragraphs<sp />shall<sp />survive<sp />any<sp />termination<sp />of<sp />this<sp />Agreement:<sp />"Free<sp />and<sp />Open<sp />Source<sp />Software,"<sp />"Proprietary<sp />Rights;<sp />Ownership,"<sp />"Compliance<sp />With<sp />Law,"<sp />"Disclaimer,"<sp />"Limitation<sp />of<sp />Liability,"<sp />and<sp />"General."</highlight></codeline>
<codeline />
<codeline><highlight class="normal">7.<sp />Compliance<sp />With<sp />Law.<sp /><sp />Each<sp />party<sp />agrees<sp />to<sp />comply<sp />with<sp />all<sp />applicable<sp />laws,<sp />rules<sp />and<sp />regulations<sp />in<sp />connection<sp />with<sp />its<sp />activities<sp />under<sp />this<sp />Agreement.<sp /><sp />Without<sp />limiting<sp />the<sp />foregoing,<sp />the<sp />Software<sp />may<sp />be<sp />subject<sp />to<sp />export<sp />control<sp />laws<sp />and<sp />regulations<sp />of<sp />the<sp />United<sp />States<sp />and<sp />other<sp />countries.<sp /><sp />You<sp />agree<sp />to<sp />comply<sp />strictly<sp />with<sp />all<sp />such<sp />laws<sp />and<sp />regulations<sp />and<sp />acknowledge<sp />that<sp />you<sp />have<sp />the<sp />responsibility<sp />to<sp />obtain<sp />licenses<sp />to<sp />export,<sp />re-export,<sp />or<sp />import<sp />the<sp />Software.</highlight></codeline>
<codeline />
<codeline><highlight class="normal">8.<sp />Disclaimer.<sp /><sp />TO<sp />THE<sp />MAXIMUM<sp />EXTENT<sp />PERMITTED<sp />BY<sp />APPLICABLE<sp />LAW,<sp />CYPRESS<sp />MAKES<sp />NO<sp />WARRANTY<sp />OF<sp />ANY<sp />KIND,<sp />EXPRESS<sp />OR<sp />IMPLIED,<sp />WITH<sp />REGARD<sp />TO<sp />THE<sp />SOFTWARE,<sp />INCLUDING,<sp />BUT<sp />NOT<sp />LIMITED<sp />TO,<sp />INFRINGEMENT<sp />AND<sp />THE<sp />IMPLIED<sp />WARRANTIES<sp />OF<sp />MERCHANTABILITY<sp />AND<sp />FITNESS<sp />FOR<sp />A<sp />PARTICULAR<sp />PURPOSE.<sp />Cypress<sp />reserves<sp />the<sp />right<sp />to<sp />make<sp />changes<sp />to<sp />the<sp />Software<sp />without<sp />notice.<sp />Cypress<sp />does<sp />not<sp />assume<sp />any<sp />liability<sp />arising<sp />out<sp />of<sp />the<sp />application<sp />or<sp />use<sp />of<sp />Software<sp />or<sp />any<sp />product<sp />or<sp />circuit<sp />described<sp />in<sp />the<sp />Software.<sp /><sp />It<sp />is<sp />the<sp />responsibility<sp />of<sp />the<sp />user<sp />of<sp />the<sp />Software<sp />to<sp />properly<sp />design,<sp />program,<sp />and<sp />test<sp />the<sp />functionality<sp />and<sp />safety<sp />of<sp />any<sp />application<sp />made<sp />of<sp />the<sp />Software<sp />and<sp />any<sp />resulting<sp />product.<sp /><sp />Cypress<sp />does<sp />not<sp />authorize<sp />its<sp />Software<sp />or<sp />products<sp />for<sp />use<sp />in<sp />any<sp />products<sp />where<sp />a<sp />malfunction<sp />or<sp />failure<sp />of<sp />the<sp />Software<sp />or<sp />Cypress<sp />product<sp />may<sp />reasonably<sp />be<sp />expected<sp />to<sp />result<sp />in<sp />significant<sp />property<sp />damage,<sp />injury<sp />or<sp />death<sp />("High<sp />Risk<sp />Product").<sp /><sp />If<sp />you<sp />include<sp />any<sp />Software<sp />or<sp />Cypress<sp />product<sp />in<sp />a<sp />High<sp />Risk<sp />Product,<sp />you<sp />assume<sp />all<sp />risk<sp />of<sp />such<sp />use<sp />and<sp />agree<sp />to<sp />indemnify<sp />Cypress<sp />and<sp />its<sp />suppliers<sp />against<sp />all<sp />liability.<sp /><sp />No<sp />computing<sp />device<sp />can<sp />be<sp />absolutely<sp />secure.<sp /><sp />Therefore,<sp />despite<sp />security<sp />measures<sp />implemented<sp />in<sp />Cypress<sp />hardware<sp />or<sp />software<sp />products,<sp />Cypress<sp />does<sp />not<sp />assume<sp />any<sp />liability<sp />arising<sp />out<sp />of<sp />any<sp />security<sp />breach,<sp />such<sp />as<sp />unauthorized<sp />access<sp />to<sp />or<sp />use<sp />of<sp />a<sp />Cypress<sp />product.</highlight></codeline>
<codeline />
<codeline><highlight class="normal">9.<sp />Limitation<sp />of<sp />Liability.<sp /><sp />TO<sp />THE<sp />MAXIMUM<sp />EXTENT<sp />PERMITTED<sp />BY<sp />APPLICABLE<sp />LAW,<sp />IN<sp />NO<sp />EVENT<sp />WILL<sp />CYPRESS<sp />OR<sp />ITS<sp />SUPPLIERS,<sp />RESELLERS,<sp />OR<sp />DISTRIBUTORS<sp />BE<sp />LIABLE<sp />FOR<sp />ANY<sp />LOST<sp />REVENUE,<sp />PROFIT,<sp />OR<sp />DATA,<sp />OR<sp />FOR<sp />SPECIAL,<sp />INDIRECT,<sp />CONSEQUENTIAL,<sp />INCIDENTAL,<sp />OR<sp />PUNITIVE<sp />DAMAGES<sp />HOWEVER<sp />CAUSED<sp />AND<sp />REGARDLESS<sp />OF<sp />THE<sp />THEORY<sp />OF<sp />LIABILITY,<sp />ARISING<sp />OUT<sp />OF<sp />OR<sp />RELATED<sp />TO<sp />THE<sp />USE<sp />OF<sp />OR<sp />INABILITY<sp />TO<sp />USE<sp />THE<sp />SOFTWARE<sp />EVEN<sp />IF<sp />CYPRESS<sp />OR<sp />ITS<sp />SUPPLIERS,<sp />RESELLERS,<sp />OR<sp />DISTRIBUTORS<sp />HAVE<sp />BEEN<sp />ADVISED<sp />OF<sp />THE<sp />POSSIBILITY<sp />OF<sp />SUCH<sp />DAMAGES.<sp /><sp />IN<sp />NO<sp />EVENT<sp />SHALL<sp />CYPRESS'<sp />OR<sp />ITS<sp />SUPPLIERS',<sp />RESELLERS',<sp />OR<sp />DISTRIBUTORS'<sp />TOTAL<sp />LIABILITY<sp />TO<sp />YOU,<sp />WHETHER<sp />IN<sp />CONTRACT,<sp />TORT<sp />(INCLUDING<sp />NEGLIGENCE),<sp />OR<sp />OTHERWISE,<sp />EXCEED<sp />THE<sp />GREATER<sp />OF<sp />US$500<sp />OR<sp />THE<sp />PRICE<sp />PAID<sp />BY<sp />YOU<sp />FOR<sp />THE<sp />SOFTWARE.<sp /><sp />THE<sp />FOREGOING<sp />LIMITATIONS<sp />SHALL<sp />APPLY<sp />EVEN<sp />IF<sp />THE<sp />ABOVE-STATED<sp />WARRANTY<sp />FAILS<sp />OF<sp />ITS<sp />ESSENTIAL<sp />PURPOSE.<sp /><sp />BECAUSE<sp />SOME<sp />STATES<sp />OR<sp />JURISDICTIONS<sp />DO<sp />NOT<sp />ALLOW<sp />LIMITATION<sp />OR<sp />EXCLUSION<sp />OF<sp />CONSEQUENTIAL<sp />OR<sp />INCIDENTAL<sp />DAMAGES,<sp />ALL<sp />OR<sp />PORTIONS<sp />OF<sp />THE<sp />ABOVE<sp />LIMITATION<sp />MAY<sp />NOT<sp />APPLY<sp />TO<sp />YOU.</highlight></codeline>
<codeline />
<codeline><highlight class="normal">10.<sp />Restricted<sp />Rights.<sp /><sp />The<sp />Software<sp />is<sp />commercial<sp />computer<sp />software<sp />as<sp />that<sp />term<sp />is<sp />described<sp />in<sp />48<sp />C.F.R.<sp />252.227-7014(a)(1).<sp /><sp />If<sp />the<sp />Software<sp />is<sp />being<sp />acquired<sp />by<sp />or<sp />on<sp />behalf<sp />of<sp />the<sp />U.S.<sp />Government<sp />or<sp />by<sp />a<sp />U.S.<sp />Government<sp />prime<sp />contractor<sp />or<sp />subcontractor<sp />(at<sp />any<sp />tier),<sp />then<sp />the<sp />Government's<sp />rights<sp />in<sp />Software<sp />shall<sp />be<sp />only<sp />those<sp />set<sp />forth<sp />in<sp />this<sp />Agreement.</highlight></codeline>
<codeline />
<codeline><highlight class="normal">11.<sp />Personal<sp />Information.<sp /><sp />You<sp />agree<sp />that<sp />information<sp />you<sp />provide<sp />through<sp />your<sp />registration<sp />on<sp />Cypress<sp />IoT<sp />Community<sp />Forum<sp />or<sp />other<sp />Cypress<sp />websites,<sp />including<sp />contact<sp />information<sp />or<sp />other<sp />personal<sp />information,<sp />may<sp />be<sp />collected<sp />and<sp />used<sp />by<sp />Cypress<sp />consistent<sp />with<sp />its<sp />Data<sp />Privacy<sp />Policy<sp />(www.cypress.com/privacy-policy),<sp />as<sp />updated<sp />or<sp />revised<sp />from<sp />time<sp />to<sp />time,<sp />and<sp />may<sp />be<sp />provided<sp />to<sp />its<sp />third<sp />party<sp />sales<sp />representatives,<sp />distributors<sp />and<sp />other<sp />entities<sp />conducting<sp />sales<sp />activities<sp />for<sp />Cypress<sp />for<sp />sales-related<sp />and<sp />other<sp />business<sp />purposes.</highlight></codeline>
<codeline />
<codeline><highlight class="normal">12.<sp />General.<sp /><sp />This<sp />Agreement<sp />will<sp />bind<sp />and<sp />inure<sp />to<sp />the<sp />benefit<sp />of<sp />each<sp />party's<sp />successors<sp />and<sp />assigns,<sp />provided<sp />that<sp />you<sp />may<sp />not<sp />assign<sp />or<sp />transfer<sp />this<sp />Agreement,<sp />in<sp />whole<sp />or<sp />in<sp />part,<sp />without<sp />Cypress'<sp />written<sp />consent.<sp /><sp />This<sp />Agreement<sp />shall<sp />be<sp />governed<sp />by<sp />and<sp />construed<sp />in<sp />accordance<sp />with<sp />the<sp />laws<sp />of<sp />the<sp />State<sp />of<sp />California,<sp />United<sp />States<sp />of<sp />America,<sp />as<sp />if<sp />performed<sp />wholly<sp />within<sp />the<sp />state<sp />and<sp />without<sp />giving<sp />effect<sp />to<sp />the<sp />principles<sp />of<sp />conflict<sp />of<sp />law.<sp /><sp />The<sp />parties<sp />consent<sp />to<sp />personal<sp />and<sp />exclusive<sp />jurisdiction<sp />of<sp />and<sp />venue<sp />in,<sp />the<sp />state<sp />and<sp />federal<sp />courts<sp />within<sp />Santa<sp />Clara<sp />County,<sp />California;<sp />provided<sp />however,<sp />that<sp />nothing<sp />in<sp />this<sp />Agreement<sp />will<sp />limit<sp />Cypress'<sp />right<sp />to<sp />bring<sp />legal<sp />action<sp />in<sp />any<sp />venue<sp />in<sp />order<sp />to<sp />protect<sp />or<sp />enforce<sp />its<sp />intellectual<sp />property<sp />rights.<sp /><sp />No<sp />failure<sp />of<sp />either<sp />party<sp />to<sp />exercise<sp />or<sp />enforce<sp />any<sp />of<sp />its<sp />rights<sp />under<sp />this<sp />Agreement<sp />will<sp />act<sp />as<sp />a<sp />waiver<sp />of<sp />such<sp />rights.<sp /><sp />If<sp />any<sp />portion<sp />of<sp />this<sp />Agreement<sp />is<sp />found<sp />to<sp />be<sp />void<sp />or<sp />unenforceable,<sp />the<sp />remaining<sp />provisions<sp />of<sp />this<sp />Agreement<sp />shall<sp />remain<sp />in<sp />full<sp />force<sp />and<sp />effect.<sp /><sp />This<sp />Agreement<sp />is<sp />the<sp />complete<sp />and<sp />exclusive<sp />agreement<sp />between<sp />the<sp />parties<sp />with<sp />respect<sp />to<sp />the<sp />subject<sp />matter<sp />hereof,<sp />superseding<sp />and<sp />replacing<sp />any<sp />and<sp />all<sp />prior<sp />agreements,<sp />communications,<sp />and<sp />understandings<sp />(both<sp />written<sp />and<sp />oral)<sp />regarding<sp />such<sp />subject<sp />matter.<sp /><sp />Any<sp />notice<sp />to<sp />Cypress<sp />will<sp />be<sp />deemed<sp />effective<sp />when<sp />actually<sp />received<sp />and<sp />must<sp />be<sp />sent<sp />to<sp />Cypress<sp />Semiconductor<sp />Corporation,<sp />ATTN:<sp />Chief<sp />Legal<sp />Officer,<sp />198<sp />Champion<sp />Court,<sp />San<sp />Jose,<sp />CA<sp />95134<sp />USA.</highlight></codeline>
    </programlisting>
    <location file="EULA" />
  </compounddef>
</doxygen>